Name:           clipstudio-kde
Version:        0.1.0
Release:        2
License:        GPLv3
Summary:        These are plugins for the KDE Plasma Desktop, allowing you to view Clip Studio files.
Url:            https://invent.kde.org/redstrate/clipstudio-kde
Source0:        https://invent.kde.org/redstrate/clipstudio-kde/-/archive/master/clipstudio-kde-master.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)


BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

%description
These are plugins for the KDE Plasma Desktop, allowing you to view Clip Studio files.

%prep
%autosetup -c -p1

%build
cd clipstudio-kde-master
%cmake_kf6
%cmake_build

%install
cd clipstudio-kde-master
%cmake_install


%files
%doc clipstudio-kde-master/README.md

%{_kf6_qtplugindir}/imageformats/clipstudioplugin.so
%{_kf6_qtplugindir}/kf6/thumbcreator/clipstudiothumbnail.so
%{_kf6_datadir}/mime/packages/x-clipstudio.xml

%changelog
%autochangelog
